$DummyGUID = New-Object GUID('11111111-1111-1111-1111-111111111111')  
$AppName = 'PCM test'  
$proxy = New-WebServiceProxy -URI 'http://xserv.dell.com/jigsawwebservices/AssetService.asmx'  
$proxy.GetAssetInformation($DummyGUID, $AppName, $((get-wmiobject win32_bios).SerialNumber)) | ForEach-Object {  
"Information for Service Tag {0}" -f "$($_.AssetHeaderData.ServiceTag)"  
"Model: {0} {1}" -f "$($_.AssetHeaderData.SystemType)", "$($_.AssetHeaderData.SystemModel)"  
$_ | Select-Object -ExpandProperty Entitlements | Select-Object -Property ServiceLevelDescription,Provider,StartDate,EndDate | ForEach-Object {  
  "Provided by:{0}" -f (% { if ($_.Provider -eq 'DELL') { 'Dell' } else {'Unisys'} })  
  "Starts: {0}" -f $_.StartDate.ToString('d')  
  "Ends: {0}" -f $_.EndDate.ToString('d')    
}  
}