#Administrative Groups
$root= New-Object System.DirectoryServices.DirectoryEntry("LDAP://RootDSE")
$configpartition = [adsi]("LDAP://CN=Microsoft Exchange,CN=Services," + $root.configurationNamingContext)
$search = New-Object System.DirectoryServices.DirectorySearcher($configpartition)
$search.filter = '(objectclass=msExchAdminGroup)'
$exAdminGroup = $search.FindAll()
"Administrative Groups :`n{0}" -f "$($exAdminGroup | sort-object | foreach {$_.properties.name})"



#Organisation Name
$domain = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain() 
$ddn = $domain.GetDirectoryEntry().distinguishedName 
$config = [ADSI]"LDAP://CN=Microsoft Exchange,CN=Services,CN=Configuration,$ddn" 
$orgName = $config.psbase.children | where {$_.objectClass -eq 'msExchOrganizationContainer'} 
"Organisation Name`n{0}" -f "$($orgName.name)"


#Storage Groups
$root= New-Object System.DirectoryServices.DirectoryEntry("LDAP://RootDSE")
$configpartition = [adsi]("LDAP://CN=Microsoft Exchange,CN=Services," + $root.configurationNamingContext)
$search = New-Object System.DirectoryServices.DirectorySearcher($configpartition)
$search.filter = '(objectclass=msExchStorageGroup)'
$exStorageGroup = $search.FindAll()
"Storage Groups :`n{0}" -f "$($exStorageGroup | foreach { $_.properties.name})"


#Mailbox Database
$root= New-Object System.DirectoryServices.DirectoryEntry("LDAP://RootDSE")
$configpartition = [adsi]("LDAP://CN=Microsoft Exchange,CN=Services," + $root.configurationNamingContext)
$search = New-Object System.DirectoryServices.DirectorySearcher($configpartition)
$search.filter = '(objectclass=msExchPrivateMDB)'
$exMailboxDatabase = $search.FindAll()
$exMailboxDatabase | sort-object | foreach {$_.properties.name}


#Public Folder Database
$root= New-Object System.DirectoryServices.DirectoryEntry("LDAP://RootDSE")
$configpartition = [adsi]("LDAP://CN=Microsoft Exchange,CN=Services," + $root.configurationNamingContext)
$search = New-Object System.DirectoryServices.DirectorySearcher($configpartition)
$search.filter = '(objectclass=msExchPublicMDB)'
$exPublicFolderDatabases = $search.FindAll()
$exPublicFolderDatabases | sort-object | foreach {$_.properties.name}









