##############################################################################
## Author: Colin Smith														##
## Script: Get_Intstance_names.ps1											##
## Purpose: This script will read in a file of hotnames that has been		##
##          Provided of servers with SQL Server running on them. This 		##
##			script will then look at the services on that host to find		##
##			the instance name if the instance is named. If the instance		##
##			is a default instance the script will also report that.			##
##############################################################################
$servers = "."
#echo "Server, Instance" >> "C:\sqltab.txt"
foreach ($server in $servers)
{
$instances = Get-WmiObject -ComputerName $server win32_service | where {$_.name -like "MSSQL*"}
if (!$?)
{
echo "Failure to connect on $server" >> "C:\failures.txt"
echo "Failure to connect on $server"
}
Else
{
$instancenames = @()
foreach ($name in $instances)
{
if (($name.name -eq "MSSQLSERVER") -or ($name.name -like "MSSQL$*"))
{
$instancenames += $name.name
}
}
foreach ($iname in $instancenames)
{
##echo "$server, $iname" >> "C:\sqltab.txt"
$iname
}
}
}

